Page MenuHomePhabricator

Use RESTBase for zhwiki
Closed, InvalidPublic

Description

We should remove the hack in the app where it uses RESTBase/Parsoid for all domains except for zhwiki, once T122942: RFC: Support language variants in the REST API is fixed.

Related Objects

StatusAssignedTask
InvalidNone
Resolved GWicke
Resolvedmobrovac
ResolvedEevans
ResolvedEevans
ResolvedDzahn
ResolvedEevans
ResolvedEevans
OpenNone
DeclinedNone
ResolvedEevans
Resolvedfgiunchedi
ResolvedEevans
ResolvedPchelolo
Opencscott
OpenNone
Opencscott
Invalid GWicke
Resolvedliangent
Resolvedthiemowmde
OpenNone
Resolvedcscott
Resolvedcscott
ResolvedElitre
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
Opencscott
Resolvedcscott
Opencscott
Opencscott
Opencscott
Resolvedmobrovac
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedEevans
ResolvedEevans
ResolvedEevans
Resolvedmobrovac
Resolvedcscott
ResolvedPchelolo
ResolvedPchelolo

Event Timeline

bearND created this task.Oct 21 2016, 5:10 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptOct 21 2016, 5:10 PM
GWicke triaged this task as Normal priority.Aug 8 2017, 5:59 PM
Mholloway raised the priority of this task from Normal to High.Oct 4 2017, 7:45 PM
Mholloway added a subscriber: Mholloway.

We're very anxious to stop supporting two APIs for loading page content.

Dbrant awarded a token.Oct 4 2017, 7:47 PM
bearND added a comment.Oct 5 2017, 8:13 PM

I think this is more a function of phase 2 of T43716 being completed.

cscott added a subscriber: cscott.Dec 14 2017, 9:05 PM
kchapman added a subscriber: kchapman.

Removing Core Platform Team, because it seems like we don't need to do anything specifically on this ticket.

JoeWalsh closed this task as Invalid.Jul 31 2019, 8:18 PM
JoeWalsh added a subscriber: JoeWalsh.

Will be fixed by T219995

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 31 2019, 8:18 PM